package com.tofly.gpsboot.common.system;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

/**
 * "定位网络(1 卫星定位,2 前次定位,4 缓存定位,5 Wifi定位,6 基站定位,8 离线定位,9 最后位置缓存)")
 * @author Zev
 */
@Getter
@AllArgsConstructor
public enum NewWorkTypeEnum {
    /**
     *
     */
    NEW_WORK_TYPE_GPS("1","GPS"),
    NEW_WORK_TYPE_WIFI("2","Wifi"),
    NEW_WORK_TYPE_BASE_STATION("3","基站定位"),

    ;
    /**
     * 编码
     */
    private String code;
    /**
     * 内容
     */
    private String value;

    public static String getCodeForValue(String code) {
        String path = "";
        if (StringUtils.isEmpty(code)) {
            return path;
        }

        for (NewWorkTypeEnum e : NewWorkTypeEnum.values()) {
            if (e.code.equalsIgnoreCase(code)) {
                path = e.value;
                break;
            }
        }
        return path;
    }
}
